/*------------------------------------------------------------------------------
 lib/djv_base/dbg_.h

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

namespace djv {
namespace dbg
{

template<class T>
inline Dbg & operator << (Dbg & dbg, const List<T> & in)
{
  for (uint i = 0; i < in.size(); ++i)
  {
    if (i) dbg << " ";
    dbg << in[i];
  }
  return dbg;
}

}
}
