/*------------------------------------------------------------------------------
 plugin/djv_quicktime_unix/fnc.cxx
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "plugin.h"

List<Str> label_codec()
{
  List<Str> out;
  lqt_codec_info_t ** info = lqt_query_registry(0, 1, 1, 0);
  if (info)
  {
    for (int i = 0; info[i]; ++i)
      out += info[i]->name;
    lqt_destroy_codec_info(info);
  }
  return out;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() << "Codec";
  return data;
}

